#include <ArduinoOTA.h>
#include <WebMonitor.h>
#include <ESP8266WiFi.h>
#include <WiFiSettings.h>

#define L4S_PORT 4533
#define WIFI_SSID "VynTracker"
#define WIFI_PASSWORD "senha1234"

#ifndef COMM_H
#define COMM_H

class CommunicationsController {
    private:
    String received = "Ç";
    WiFiClient l4s;
    WiFiServer l4sServer{L4S_PORT};

    String recv();
    void initOta();
    void initWifi();

    public:
    void init();
    byte process(float* azimuth, float* altitude);
    byte parseLook4Sat(float* azimuth, float* altitude);
};

#endif
